﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CHC
{
    static class Program
    {
        private static FormMain frm;

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            NotifyIcon notifyIcon = new NotifyIcon();
            notifyIcon.ContextMenuStrip = GetContextMenu();
            notifyIcon.Icon = new System.Drawing.Icon("phone.ico");
            notifyIcon.Visible = true;

            frm = new CHC.FormMain();
            Application.Run(frm);
        }

        private static ContextMenuStrip GetContextMenu()
        {
            ContextMenuStrip CMS = new ContextMenuStrip();
            CMS.Items.Add("Show", null, new EventHandler(Show_Click));
            CMS.Items.Add("Hide", null, new EventHandler(Hide_Click));
            CMS.Items.Add("Settings", null, new EventHandler(Settings_Click));

            ToolStripSeparator sep = new ToolStripSeparator();
            CMS.Items.Add(sep);
            CMS.Items.Add("Exit", null, new EventHandler(Exit_Click));
            return CMS;
        }

        private static void Show_Click(object sender, EventArgs e)
        {
            // FormMain.ShowForm();
            frm.Show();

        }

        private static void Hide_Click(object sender, EventArgs e)
        {
            //FormMain.HideForm();
            frm.Hide();
        }

        private static void Settings_Click(object sender, EventArgs e)
        {
            FormConfig frm = new FormConfig();
            frm.Show();
        }

        private static void Exit_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}
